View Issue Details

IDProjectCategoryView StatusLast Update
0005710GNUnettransport servicepublic2020-10-29 10:10
ReporterChristian Grothoff Assigned To 
PriorityurgentSeverityfeatureReproducibilityN/A
Status confirmedResolutionopen 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.11.0 
Target Version0.15.0 
Summary0005710: TNG meta issue
DescriptionThis is the transport "next generation" (TNG) meta issue. Bugs in TRANSPORT that we expect to be fixed by the TNG re-design should be *related* to this bug. Issues that are to be addressed so we can call TNG "done" should be come *child* issues of this bug.
Tagstng

Relationships

parent of 0005530 closedschanzen GNUnet add replay protection to TCP communicator 
parent of 0005547 closedschanzen GNUnet communicator basic test plan 
parent of 0005548 closedschanzen GNUnet communicator rekey test plan 
parent of 0005550 assignedt3sserakt GNUnet [TNG] backchannel support 
parent of 0005552 confirmed GNUnet congestion control for UDP 
parent of 0005549 assignedt3sserakt GNUnet bidirectional communicator test 
parent of 0005528 closedt3sserakt GNUnet TCP *communicator* bindto option should support DNS names 
parent of 0005529 confirmed GNUnet TCP communicator does not support connection reversal yet 
parent of 0005531 confirmed GNUnet support other TCP NAT traversal methods 
parent of 0002628 confirmed GNUnet network autoconfiguration code should be improved and moved into libgnunetnat 
parent of 0003951 confirmed GNUnet Use STUN other_address to do our reversal test 
parent of 0005797 closedschanzen GNUnet Race condition in TNG unix communicator test 
parent of 0006011 assignedt3sserakt GNUnet [TNG] UNIX communicator performance issues 
parent of 0006012 closedschanzen GNUnet [TNG] TCP KX fails 
parent of 0006013 closedt3sserakt GNUnet [TNG] TCP communicator should bind to IPv6 and IPv4 if only port given. 
parent of 0006097 closedschanzen GNUnet [TNG] UDP transport large messages fail 
parent of 0006098 assignedt3sserakt GNUnet [TNG] UDP communicator performance issues 
parent of 0006361 assignedt3sserakt GNUnet [TNG] Allow tests for unreliable communicators to have package loss 
related to 0005645 new GNUnet Issuing request to a local DNS service breaks node 
related to 0005617 feedback GNUnet clique test fails 
related to 0005644 new GNUnet Transport service spams warnings 
related to 0005603 new GNUnet 4 transport tests fail 
related to 0005102 acknowledged GNUnet execution attempt in: (null), 00000000-00000000 00000000 
related to 0005507 confirmed GNUnet test_transport_api_manipulation_cfg fails 
related to 0003896 confirmed GNUnet GNUnet HELLOs break privacy, especially on IPv6 
related to 0005456 confirmed GNUnet Peers don't gossip about transport addresses they don't support 
related to 0003714 confirmed GNUnet memory leaks in transport service 
related to 0004038 confirmed GNUnet transport service leaks sockets 
related to 0003700 feedbackamatus GNUnet gnunet-transport -in is not reporting all of the connections and sometimes none 
related to 0003651 confirmed GNUnet test_transport_address_switch testcases fail if no switching happens 
related to 0001540 closed GNUnet Intelligent resource usage 
related to 0001937 confirmed GNUnet plugins must queue multiple messages 
related to 0003346 confirmed GNUnet NAT functionionality and interaction with transport service has to be tested 
related to 0001934 confirmed GNUnet transport's code to probe latency and switch transports needs refinement & testing 
related to 0001795 confirmed GNUnet DV is not implemented 
related to 0003493 new gnunet-java AddressQuery does not initialize HelloAddress 
related to 0003491 closedChristian Grothoff gnunet-java monitor functionality is missing 
related to 0001936 confirmed GNUnet need performance test for DV 
related to 0001935 confirmed GNUnet DV's bandwidth allocation is not really working as-is 
related to 0005712 assignedChristian Grothoff GNUnet add logic to preload peerstore with information 
related to 0006114 assigned GNUnet Tests failing on Guix System 
related to 0006433 assigned GNUnet Writing a test to simulate an attack on the tcp communicator KX to test the replay protection. 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-05-02 14:28 Christian Grothoff New Issue
2019-05-02 14:28 Christian Grothoff Status new => assigned
2019-05-02 14:28 Christian Grothoff Assigned To => Christian Grothoff
2019-05-02 14:28 Christian Grothoff Relationship added related to 0005645
2019-05-02 14:35 Christian Grothoff Relationship added related to 0005617
2019-05-02 14:36 Christian Grothoff Relationship added related to 0005644
2019-05-02 14:38 Christian Grothoff Relationship added related to 0005603
2019-05-02 14:38 Christian Grothoff Relationship added related to 0005102
2019-05-02 14:39 Christian Grothoff Relationship added related to 0005507
2019-05-02 14:40 Christian Grothoff Relationship added related to 0003896
2019-05-02 14:40 Christian Grothoff Relationship added parent of 0005530
2019-05-02 14:40 Christian Grothoff Relationship added parent of 0005547
2019-05-02 14:40 Christian Grothoff Relationship added parent of 0005548
2019-05-02 14:41 Christian Grothoff Relationship added parent of 0005550
2019-05-02 14:41 Christian Grothoff Relationship added parent of 0005552
2019-05-02 14:41 Christian Grothoff Relationship added parent of 0005549
2019-05-02 14:41 Christian Grothoff Relationship added parent of 0005528
2019-05-02 14:41 Christian Grothoff Relationship added parent of 0005529
2019-05-02 14:41 Christian Grothoff Relationship added related to 0005456
2019-05-02 14:42 Christian Grothoff Relationship added parent of 0005531
2019-05-02 14:43 Christian Grothoff Relationship added related to 0003714
2019-05-02 14:43 Christian Grothoff Relationship added related to 0004038
2019-05-02 14:43 Christian Grothoff Relationship added parent of 0002628
2019-05-02 14:44 Christian Grothoff Relationship added parent of 0003951
2019-05-02 14:44 Christian Grothoff Relationship added related to 0003700
2019-05-02 14:44 Christian Grothoff Relationship added related to 0003651
2019-05-02 14:44 Christian Grothoff Relationship added related to 0001540
2019-05-02 14:44 Christian Grothoff Relationship added related to 0001937
2019-05-02 14:45 Christian Grothoff Relationship added related to 0003346
2019-05-02 14:45 Christian Grothoff Relationship added related to 0001934
2019-05-02 14:45 Christian Grothoff Relationship added related to 0001795
2019-05-02 14:46 Christian Grothoff Relationship added related to 0003493
2019-05-02 14:46 Christian Grothoff Relationship added related to 0003491
2019-05-02 14:47 Christian Grothoff Relationship added related to 0001936
2019-05-02 14:47 Christian Grothoff Relationship added related to 0001935
2019-05-04 23:34 Christian Grothoff Relationship added related to 0005712
2019-07-08 11:19 ch3 Relationship added parent of 0005797
2019-11-16 18:41 Christian Grothoff Target Version 0.12.0 => 0.13.0
2019-11-16 19:50 Christian Grothoff Assigned To Christian Grothoff =>
2019-11-16 19:50 Christian Grothoff Status assigned => confirmed
2019-12-25 14:03 schanzen Relationship added parent of 0006011
2019-12-25 14:51 schanzen Relationship added parent of 0006012
2019-12-25 14:55 schanzen Relationship added parent of 0006013
2020-02-18 21:10 schanzen Relationship added parent of 0006097
2020-02-18 21:13 schanzen Relationship added parent of 0006098
2020-04-22 17:20 schanzen Target Version 0.13.0 => 0.14.0
2020-05-06 17:42 schanzen Relationship added related to 0006114
2020-05-06 18:15 schanzen Target Version 0.14.0 =>
2020-06-01 00:49 Adminknox Issue cloned: 0006300
2020-06-01 19:19 schanzen Relationship added parent of 0006361
2020-07-17 12:07 t3sserakt Relationship added related to 0006433
2020-10-29 10:10 schanzen Tag Attached: tng
2020-10-29 10:10 schanzen Target Version => 0.15.0